Legacy (v0)
Bulk update user notification prefs
Turns several of your notification settings on or off in one call. List the setting IDs in record_ids and send updates with a boolean value: the value is applied to both the email and push channels of every listed setting, and when several updates are sent the last one wins. IDs that are not yours are ignored. Returns 400 when either list is empty. Requires permission to update users.
PATCH
/
api
/
user_notification_prefs
/
update_prefs
Bulk update user notification prefs
curl --request PATCH \
--url https://api.fluid.app/api/user_notification_prefs/update_prefs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record_ids": [
551205,
551206
],
"updates": [
{
"field": "email",
"value": false
}
]
}
'import requests
url = "https://api.fluid.app/api/user_notification_prefs/update_prefs"
payload = {
"record_ids": [551205, 551206],
"updates": [
{
"field": "email",
"value": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({record_ids: [551205, 551206], updates: [{field: 'email', value: false}]})
};
fetch('https://api.fluid.app/api/user_notification_prefs/update_prefs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/user_notification_prefs/update_prefs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'record_ids' => [
551205,
551206
],
'updates' => [
[
'field' => 'email',
'value' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/user_notification_prefs/update_prefs"
payload := strings.NewReader("{\n \"record_ids\": [\n 551205,\n 551206\n ],\n \"updates\": [\n {\n \"field\": \"email\",\n \"value\": false\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/user_notification_prefs/update_prefs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"record_ids\": [\n 551205,\n 551206\n ],\n \"updates\": [\n {\n \"field\": \"email\",\n \"value\": false\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/user_notification_prefs/update_prefs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"record_ids\": [\n 551205,\n 551206\n ],\n \"updates\": [\n {\n \"field\": \"email\",\n \"value\": false\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Fields updated successfully.",
"preset": "custom"
}{
"message": "<string>"
}Body
application/json
⌘I
Bulk update user notification prefs
curl --request PATCH \
--url https://api.fluid.app/api/user_notification_prefs/update_prefs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record_ids": [
551205,
551206
],
"updates": [
{
"field": "email",
"value": false
}
]
}
'import requests
url = "https://api.fluid.app/api/user_notification_prefs/update_prefs"
payload = {
"record_ids": [551205, 551206],
"updates": [
{
"field": "email",
"value": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({record_ids: [551205, 551206], updates: [{field: 'email', value: false}]})
};
fetch('https://api.fluid.app/api/user_notification_prefs/update_prefs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/user_notification_prefs/update_prefs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'record_ids' => [
551205,
551206
],
'updates' => [
[
'field' => 'email',
'value' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/user_notification_prefs/update_prefs"
payload := strings.NewReader("{\n \"record_ids\": [\n 551205,\n 551206\n ],\n \"updates\": [\n {\n \"field\": \"email\",\n \"value\": false\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/user_notification_prefs/update_prefs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"record_ids\": [\n 551205,\n 551206\n ],\n \"updates\": [\n {\n \"field\": \"email\",\n \"value\": false\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/user_notification_prefs/update_prefs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"record_ids\": [\n 551205,\n 551206\n ],\n \"updates\": [\n {\n \"field\": \"email\",\n \"value\": false\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Fields updated successfully.",
"preset": "custom"
}{
"message": "<string>"
}